noble/linux-ibm: 6.8.0-1001.1 -proposed tracker

Bug #2052778 reported by Andrea Righi
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Fix Committed
Medium
Unassigned
Abi-testing
Fix Released
Medium
Unassigned
Automated-testing
Fix Released
Medium
Canonical Kernel Team
Boot-testing
Fix Released
Medium
Unassigned
Kernel-signoff
Fix Released
Undecided
Unassigned
New-review
Fix Released
Medium
Andy Whitcroft
Prepare-package
Fix Released
Medium
Paolo Pisati
Prepare-package-generate
Fix Released
Medium
Paolo Pisati
Prepare-package-meta
Fix Released
Medium
Paolo Pisati
Prepare-package-signed
Fix Released
Medium
Paolo Pisati
Promote-signing-to-proposed
Invalid
Medium
Unassigned
Promote-to-proposed
Fix Released
Medium
Canonical Kernel Team
Promote-to-release
Fix Released
Medium
Ubuntu Package Archive Administrators
Regression-testing
Fix Released
Medium
Canonical Kernel Team
Signing-signoff
Fix Released
Undecided
Unassigned
Sru-review
Fix Released
Medium
Andy Whitcroft
canonical-signing-jobs
Task00
Fix Released
Medium
Andy Whitcroft
linux-ibm (Ubuntu)
Noble
Fix Released
Medium
Unassigned

Bug Description

This bug will contain status and test results related to a kernel source (or snap) as stated in the title.

For an explanation of the tasks and the associated workflow see:
  https://wiki.ubuntu.com/Kernel/kernel-sru-workflow

-- swm properties --
built:
  from: a47d86392cd7d92f
  route-entry: 1
comments:
  abi-testing: 1
delta:
  promote-to-proposed: [main, meta, signed, generate]
  promote-to-release: [main, meta, signed]
flag:
  boot-testing-requested: true
  proposed-announcement-sent: true
packages:
  generate: linux-generate-ibm
  main: linux-ibm
  meta: linux-meta-ibm
  signed: linux-signed-ibm
phase: Complete
phase-changed: Friday, 16. February 2024 12:56 UTC
reason: {}
synthetic:
  :promote-to-as-proposed: Fix Released
variant: debs
versions:
  main: 6.8.0-1001.1
  meta: 6.8.0-1001.1
  signed: 6.8.0-1001.1
~~:
  announce:
    swm-transition-crankable: 2024-02-09 09:11:29.233015
  clamps:
    new-review: a47d86392cd7d92f
    promote-to-proposed: a47d86392cd7d92f
    self: 6.8.0-1001.1
    sru-review: a47d86392cd7d92f
  tracker:
    last-message: '2024-02-16 12:29:17.153028+00:00'

Andrea Righi (arighi)
tags: added: kernel-release-tracking-bug-live
description: updated
tags: added: kernel-sru-cycle-d2024.02.07-1
Changed in kernel-sru-workflow:
status: New → Confirmed
importance: Undecided → Medium
Changed in linux-ibm (Ubuntu Noble):
importance: Undecided → Medium
tags: added: kernel-block-derivatives
Changed in kernel-sru-workflow:
status: Confirmed → Triaged
description: updated
Changed in kernel-sru-workflow:
status: Triaged → In Progress
Paolo Pisati (p-pisati)
summary: - noble/linux-ibm: <version to be filled> -proposed tracker
+ noble/linux-ibm: 6.8.0-1001.1 -proposed tracker
description: updated
description: updated
Revision history for this message
Ubuntu Kernel Ancillary Bot (ubuntu-kernel-ancillary-bot) wrote : ABI testing
Download full text (45.0 KiB)

amd64/ibm canonical-certs.pem unchanged
amd64/ibm canonical-revoked-certs.pem unchanged
amd64/ibm fwinfo differs
  @@ -12,9 +12,6 @@
   firmware: RTL8192E/boot.img
   firmware: RTL8192E/data.img
   firmware: RTL8192E/main.img
  -firmware: RTL8192U/boot.img (rejected)
  -firmware: RTL8192U/data.img (rejected)
  -firmware: RTL8192U/main.img (rejected)
   firmware: acenic/tg1.bin
   firmware: acenic/tg2.bin
   firmware: adaptec/starfire_rx.bin
  @@ -24,8 +21,6 @@
   firmware: advansys/38C0800.bin
   firmware: advansys/38C1600.bin
   firmware: advansys/mcode.bin
  -firmware: agere_ap_fw.bin (rejected)
  -firmware: agere_sta_fw.bin (rejected)
   firmware: aic94xx-seq.fw
   firmware: amd/amd_sev_fam17h_model0xh.sbin
   firmware: amd/amd_sev_fam17h_model3xh.sbin
  @@ -99,6 +94,7 @@
   firmware: amdgpu/dcn_3_1_6_dmcub.bin
   firmware: amdgpu/dcn_3_2_0_dmcub.bin
   firmware: amdgpu/dcn_3_2_1_dmcub.bin
  +firmware: amdgpu/dcn_3_5_dmcub.bin (ok)
   firmware: amdgpu/dimgrey_cavefish_ce.bin
   firmware: amdgpu/dimgrey_cavefish_dmcub.bin
   firmware: amdgpu/dimgrey_cavefish_me.bin
  @@ -142,6 +138,7 @@
   firmware: amdgpu/gc_11_0_0_mes_2.bin
   firmware: amdgpu/gc_11_0_0_pfp.bin
   firmware: amdgpu/gc_11_0_0_rlc.bin
  +firmware: amdgpu/gc_11_0_0_rlc_1.bin (ok)
   firmware: amdgpu/gc_11_0_0_toc.bin
   firmware: amdgpu/gc_11_0_1_imu.bin
   firmware: amdgpu/gc_11_0_1_me.bin
  @@ -175,6 +172,13 @@
   firmware: amdgpu/gc_11_0_4_mes_2.bin
   firmware: amdgpu/gc_11_0_4_pfp.bin
   firmware: amdgpu/gc_11_0_4_rlc.bin
  +firmware: amdgpu/gc_11_5_0_imu.bin (ok)
  +firmware: amdgpu/gc_11_5_0_me.bin (ok)
  +firmware: amdgpu/gc_11_5_0_mec.bin (ok)
  +firmware: amdgpu/gc_11_5_0_mes1.bin (ok)
  +firmware: amdgpu/gc_11_5_0_mes_2.bin (ok)
  +firmware: amdgpu/gc_11_5_0_pfp.bin (ok)
  +firmware: amdgpu/gc_11_5_0_rlc.bin (ok)
   firmware: amdgpu/gc_9_4_3_mec.bin
   firmware: amdgpu/gc_9_4_3_rlc.bin
   firmware: amdgpu/green_sardine_asd.bin
  @@ -402,6 +406,8 @@
   firmware: amdgpu/psp_13_0_7_ta.bin
   firmware: amdgpu/psp_13_0_8_ta.bin
   firmware: amdgpu/psp_13_0_8_toc.bin
  +firmware: amdgpu/psp_14_0_0_ta.bin (ok)
  +firmware: amdgpu/psp_14_0_0_toc.bin (ok)
   firmware: amdgpu/raven2_asd.bin
   firmware: amdgpu/raven2_ce.bin
   firmware: amdgpu/raven2_gpu_info.bin
  @@ -443,6 +449,7 @@
   firmware: amdgpu/sdma_6_0_1.bin
   firmware: amdgpu/sdma_6_0_2.bin
   firmware: amdgpu/sdma_6_0_3.bin
  +firmware: amdgpu/sdma_6_1_0.bin (ok)
   firmware: amdgpu/si58_mc.bin
   firmware: amdgpu/sienna_cichlid_cap.bin
   firmware: amdgpu/sienna_cichlid_ce.bin
  @@ -461,7 +468,9 @@
   firmware: amdgpu/sienna_cichlid_vcn.bin
   firmware: amdgpu/smu_13_0_0.bin
   firmware: amdgpu/smu_13_0_10.bin
  +firmware: amdgpu/smu_13_0_6.bin (ok)
   firmware: amdgpu/smu_13_0_7.bin
  +firmware: amdgpu/smu_14_0_2.bin (ok)
   f...

description: updated
description: updated
description: updated
description: updated
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote : Kernel requires additional signoff

Major kernel version bump with signed kernels; signing-review required.
linux-image major version change detected, upgrade testing required; kernel-signoff required.

description: updated
description: updated
description: updated
description: updated
description: updated
Revision history for this message
Paolo Pisati (p-pisati) wrote :

amd64:
ubuntu@amd64-secureboot-testing:~$ uname -a
Linux amd64-secureboot-testing 6.8.0-1001-ibm #1-Ubuntu SMP Mon Feb 12 09:35:06 UTC 2024 x86_64 x86_64 x86_64 GNU/Linux

ubuntu@amd64-secureboot-testing:~$ sudo dmesg | grep secure
[ 0.000000] secureboot: Secure boot enabled
[ 0.004454] secureboot: Secure boot enabled

ubuntu@amd64-secureboot-testing:~$ cat /sys/kernel/security/lockdown
none [integrity] confidentiality

tags: added: automated-testing-passed boot-testing-passed regression-testing-passed
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (49.1 KiB)

This bug was fixed in the package linux-ibm - 6.8.0-1001.1

---------------
linux-ibm (6.8.0-1001.1) noble; urgency=medium

  * noble/linux-ibm: 6.8.0-1001.1 -proposed tracker (LP: #2052778)

  * Packaging resync (LP: #1786013)
    - debian.ibm/dkms-versions -- update from kernel-versions (main/d2024.02.07)

  * Miscellaneous Ubuntu changes
    - [packaging] update rust, clang and bindgen build-deps
    - [Config] updateconfigs following 6.8.0-7.7 rebase

  [ Ubuntu: 6.8.0-7.7 ]

  * noble/linux: 6.8.0-7.7 -proposed tracker (LP: #2052691)
  * update apparmor and LSM stacking patch set (LP: #2028253)
    - SAUCE: apparmor4.0.0 [01/87]: LSM stacking v39: integrity: disassociate
      ima_filter_rule from security_audit_rule
    - SAUCE: apparmor4.0.0 [02/87]: LSM stacking v39: SM: Infrastructure
      management of the sock security
    - SAUCE: apparmor4.0.0 [03/87]: LSM stacking v39: LSM: Add the lsmblob data
      structure.
    - SAUCE: apparmor4.0.0 [04/87]: LSM stacking v39: IMA: avoid label collisions
      with stacked LSMs
    - SAUCE: apparmor4.0.0 [05/87]: LSM stacking v39: LSM: Use lsmblob in
      security_audit_rule_match
    - SAUCE: apparmor4.0.0 [06/87]: LSM stacking v39: LSM: Add lsmblob_to_secctx
      hook
    - SAUCE: apparmor4.0.0 [07/87]: LSM stacking v39: Audit: maintain an lsmblob
      in audit_context
    - SAUCE: apparmor4.0.0 [08/87]: LSM stacking v39: LSM: Use lsmblob in
      security_ipc_getsecid
    - SAUCE: apparmor4.0.0 [09/87]: LSM stacking v39: Audit: Update shutdown LSM
      data
    - SAUCE: apparmor4.0.0 [10/87]: LSM stacking v39: LSM: Use lsmblob in
      security_current_getsecid
    - SAUCE: apparmor4.0.0 [11/87]: LSM stacking v39: LSM: Use lsmblob in
      security_inode_getsecid
    - SAUCE: apparmor4.0.0 [12/87]: LSM stacking v39: Audit: use an lsmblob in
      audit_names
    - SAUCE: apparmor4.0.0 [13/87]: LSM stacking v39: LSM: Create new
      security_cred_getlsmblob LSM hook
    - SAUCE: apparmor4.0.0 [14/87]: LSM stacking v39: Audit: Change context data
      from secid to lsmblob
    - SAUCE: apparmor4.0.0 [15/87]: LSM stacking v39: Netlabel: Use lsmblob for
      audit data
    - SAUCE: apparmor4.0.0 [16/87]: LSM stacking v39: LSM: Ensure the correct LSM
      context releaser
    - SAUCE: apparmor4.0.0 [17/87]: LSM stacking v39: LSM: Use lsmcontext in
      security_secid_to_secctx
    - SAUCE: apparmor4.0.0 [18/87]: LSM stacking v39: LSM: Use lsmcontext in
      security_lsmblob_to_secctx
    - SAUCE: apparmor4.0.0 [19/87]: LSM stacking v39: LSM: Use lsmcontext in
      security_inode_getsecctx
    - SAUCE: apparmor4.0.0 [20/87]: LSM stacking v39: LSM: Use lsmcontext in
      security_dentry_init_security
    - SAUCE: apparmor4.0.0 [21/87]: LSM stacking v39: LSM:
      security_lsmblob_to_secctx module selection
    - SAUCE: apparmor4.0.0 [22/87]: LSM stacking v39: Audit: Create audit_stamp
      structure
    - SAUCE: apparmor4.0.0 [23/87]: LSM stacking v39: Audit: Allow multiple
      records in an audit_buffer
    - SAUCE: apparmor4.0.0 [24/87]: LSM stacking v39: Audit: Add record for
      multiple task security contexts
    - SAUCE: apparmor4.0.0 [25/87]: LSM stacking v39: audit: mu...

Changed in linux-ibm (Ubuntu Noble):
status: New → Fix Released
description: updated
description: updated
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote : Workflow done!

All tasks have been completed and the bug is being closed

Changed in kernel-sru-workflow:
status: In Progress → Fix Committed
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.